//* Core Node JS

// const http = require("http");

// const fs = require("fs");
// const path = require("path");

// const filePath = path.join(process.cwd(), "data.txt");

// const server = http.createServer((req, res) => {
//   if (req.url === "/") {
//     res.write("Hello /");
//     res.end();
//   } else if (req.url === "/form") {
//     res.setHeader("Content-Type", "text/html");
//     res.write(
//       "<form action='/submit' method='POST'><input name='data' /><button>Submit</button></form>"
//     );
//     res.end();
//   } else if (req.url === "/submit") {
//     let allData = "";
//     req.on("data", (chunk) => (allData += chunk));
//     req.on("end", () => {
//       fs.readFile(filePath, "utf8", (err, fileData) => {
//         const newData = fileData + "\n" + allData;

//         fs.writeFile(filePath, newData, () => {
//           res.write("Form Submit Success!");
//           console.log(allData);
//           res.end();
//         });
//       });
//     });
//   }
// });

// server.listen(3200);

const express = require("express");
const bodyParser = require("body-parser");
const app = express();
const form = require("./routes/form");
const path = require("path");

app.use(bodyParser.urlencoded({ extended: false }));
// app.use(bodyParser.json());
app.use(express.static(path.join(process.cwd(), "public")));

app.set("view engine", "ejs");
app.set("views", "views");

app.use("/form", form);

// app.use((req, res, next) => {
//   req.data = "Ameen";
//   next();
// });

// app.use((req, res) => {
//   res.send(req.data);
// });

app.listen(3002);
